Summary: Linux FAQ Package
Name: faq
Version: 5.1
Release: 5
Source: ftp://sunsite.unc.edu/pub/Linux/docs/faqs-5.1.tar.gz
Copyright: distributable
Group: Documentation
BuildArchitectures: noarch
Buildroot: /var/tmp/faq-root
Summary(de): Linux FAQ-Paket
Summary(fr): Paquetage des FAQ Linux
Summary(tr): Linux FAQ (oka Sorulan Sorular) paketi

%changelog
* Thu May 07 1998 Cristian Gafton <gafton@redhat.com>
- text versions moved under txt dir, so they don't conflict anymore with the
  packages from the 5.0 dist

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Thu May 07 1998 Erik Troan <ewt@redhat.com>
- changed /usr/doc/FAQ/Linux-FAQ to be directory to match old incarnations
  of the faq package

* Fri May 01 1998 Donnie Barnes <djb@redhat.com>
- added /usr/doc/FAQ as a directory to the file list

* Thu Apr 09 1998 Cristian Gafton <gafton@redhat.com>
- updated; spec file should now be smarter
- use buildroot

* Mon Oct 20 1997 Otto Hammersmith <otto@redhat.com>
- updated the faqs
- use install-info

* Thu Jul 31 1997 Erik Troan <ewt@redhat.com>
- made a noarch package

%description
This is a package of the Frequently Asked Questions (FAQ)
about Linux from sunsite.unc.edu.  It is one of the best
sources of information about Linux.

%description -l de
Dies ist eine Sammlung der Frequently Asked Questions (FAQ)
ber Linux von sunsite.unc.edu. Eine der besten Informationsquellen
ber Linux.

%description -l fr
Paquetage de Foire Aux Questions (FAQ) sur Linux, de sunsite.unc.edu.
C'est l'une des meilleures sources d'informations sur Linux.

%description -l tr
Linux ve ierdii yazlmlar hakknda oka sorulan sorular ve bunlara
yantlar ieren bir dizi belge. Bu belgelere /usr/doc/FAQ altndan
eriebilirsiniz.

%prep
%setup -q -n faqs

%build
# kill a dangling symlink
rm -f Wine-FAQ
mv Threads-FAQ/Threads-FAQ-html.tar.gz Threads-FAQ/Threads-FAQ.html.tar.gz

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/usr/doc/FAQ/{txt,html,ps}
for faq in *FAQ ; do
  if [ -d $faq ] ; then
    [ -f $faq/$faq ] && cp $faq/$faq $RPM_BUILD_ROOT/usr/doc/FAQ/txt
    [ -f $faq/$faq.html.tar.gz ] && tar xzvf $faq/$faq.html.tar.gz -C $RPM_BUILD_ROOT/usr/doc/FAQ/html
    [ -f $faq/$faq.ps.gz ] && cp $faq/$faq.ps.gz $RPM_BUILD_ROOT/usr/doc/FAQ/ps
  else
    cp $faq $RPM_BUILD_ROOT/usr/doc/FAQ/txt
  fi
done

%files
%docdir /usr/doc/FAQ
%dir /usr/doc/FAQ
%attr(-,root,root) /usr/doc/FAQ/*

%clean
rm -rf $RPM_BUILD_ROOT
